Subject: Re: bug#66659: (home-)on-first-login script broken when no gexps are added

From: Ludovic Courtès <[email-masked]>
Date: Sat, 28 Oct 2023 00:22:29 +0200

Hi,

Nils Landt <[email-masked]> skribis:

> I'm afraid this did not fix the issue. It results in
> (when (claim-first-run flag-file-path) (begin))
>
> which leads to the new error message "Syntax error:
> /home/nl/.guix-home/on-first-login:3:1272: sequence of zero expressions in form (begin)"

Oops, my bad.  (I did check at the REPL that (begin) was fine but forgot
that I was checking the top-level ‘begin’ form, which is not the same as
the sequencing ‘begin’ form…)

Rostislav Svoboda <[email-masked]> skribis:

> Adding *unspecified* works for me. I.e.:
>
>     (when (claim-first-run flag-file-path)
>       ;; GEXPS can be empty, hence 'begin *unspecified*'. Having just
>       ;; 'begin' without '*unspecified*' leads to
>       ;; "Syntax error: ... sequence of zero expressions in form (begin)"
>       (begin *unspecified* #$@gexps))
>
> The patch is in the attachment.

Thanks Rostislav and everyone, and apologies for not replying earlier!

Ludo’.